Description

I tried to search for duplicates, but couldn't find anything similar potentially proposed earlier.

It's probably a low priority feature, but I think it would be great with proper page embeds which could possibly also display a short and

dynamic summary (a first paragraph of a page for instance) just like on Wikipedia, see the attachment.

Related issues:

Related to Redmine - Feature #15333: oEmbed Support for tickets/wiki New

History

#1 - 2018-09-17 02:03 - Go MAEDA

- Related to Feature #15333: oEmbed Support for tickets/wiki added

#2 - 2018-09-21 10:32 - Go MAEDA

- Category set to Text formatting

#3 - 2019-01-11 13:26 - Anonymous

Would just like to propose a minor draft to at least get something started on this topic, something like this needs to be added after the last meta tag in

base.html.erb to at least get things to embed correctly.

<meta property="og:title" content="<%= html_title %>" />

<meta property="og:description" content="description variable which will capture summary" />

 I also noticed, if <%= html_title %> helper is called more than once somewhere, it will duplicate itself the number of times equal to the call count... is

this a bug or intended behavior? 501487128434311168.png 
embed.jpg 21.6 KB 2018-09-16 Anonymous
